/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for AD_UserDef_Field
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_AD_UserDef_Field extends PO
{
/** Standard Constructor
@param ctx context
@param AD_UserDef_Field_ID id
@param trxName transaction
*/
public X_AD_UserDef_Field (Ctx ctx, int AD_UserDef_Field_ID, String trxName)
{
super (ctx, AD_UserDef_Field_ID, trxName);
/** if (AD_UserDef_Field_ID == 0)
{
setAD_Field_ID (0);
setAD_UserDef_Field_ID (0);
setAD_UserDef_Tab_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_AD_UserDef_Field (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27467299105789L;
/** Last Updated Timestamp 2007-07-23 15:56:29.0 */
public static final long updatedMS = 1185173789000L;
/** AD_Table_ID=464 */
public static final int Table_ID=464;

/** TableName=AD_UserDef_Field */
public static final String Table_Name="AD_UserDef_Field";

protected static KeyNamePair Model = new KeyNamePair(464,"AD_UserDef_Field");

protected BigDecimal accessLevel = new BigDecimal(6);
/** AccessLevel
@return 6 - System - Client 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_AD_UserDef_Field[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Field.
@param AD_Field_ID Field on a tab in a window */
public void setAD_Field_ID (int AD_Field_ID)
{
if (AD_Field_ID < 1) throw new IllegalArgumentException ("AD_Field_ID is mandatory.");
set_Value ("AD_Field_ID", new Integer(AD_Field_ID));
}
/** Get Field.
@return Field on a tab in a window */
public int getAD_Field_ID() 
{
Integer ii = (Integer)get_Value("AD_Field_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Get Record ID/ColumnName
@return ID/ColumnName pair */
public KeyNamePair getKeyNamePair() 
{
return new KeyNamePair(get_ID(), String.valueOf(getAD_Field_ID()));
}
/** Set User defined Field.
@param AD_UserDef_Field_ID User defined Field */
public void setAD_UserDef_Field_ID (int AD_UserDef_Field_ID)
{
if (AD_UserDef_Field_ID < 1) throw new IllegalArgumentException ("AD_UserDef_Field_ID is mandatory.");
set_ValueNoCheck ("AD_UserDef_Field_ID", new Integer(AD_UserDef_Field_ID));
}
/** Get User defined Field.
@return User defined Field */
public int getAD_UserDef_Field_ID() 
{
Integer ii = (Integer)get_Value("AD_UserDef_Field_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set User defined Tab.
@param AD_UserDef_Tab_ID User defined Tab */
public void setAD_UserDef_Tab_ID (int AD_UserDef_Tab_ID)
{
if (AD_UserDef_Tab_ID < 1) throw new IllegalArgumentException ("AD_UserDef_Tab_ID is mandatory.");
set_ValueNoCheck ("AD_UserDef_Tab_ID", new Integer(AD_UserDef_Tab_ID));
}
/** Get User defined Tab.
@return User defined Tab */
public int getAD_UserDef_Tab_ID() 
{
Integer ii = (Integer)get_Value("AD_UserDef_Tab_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Default Logic.
@param DefaultValue Default value hierarchy, separated by ;
 */
public void setDefaultValue (String DefaultValue)
{
if (DefaultValue != null && DefaultValue.length() > 2000)
{
log.warning("Length > 2000 - truncated");
DefaultValue = DefaultValue.substring(0,2000);
}
set_Value ("DefaultValue", DefaultValue);
}
/** Get Default Logic.
@return Default value hierarchy, separated by ;
 */
public String getDefaultValue() 
{
return (String)get_Value("DefaultValue");
}
/** Set Description.
@param Description Optional short description of the record */
public void setDescription (String Description)
{
if (Description != null && Description.length() > 255)
{
log.warning("Length > 255 - truncated");
Description = Description.substring(0,255);
}
set_Value ("Description", Description);
}
/** Get Description.
@return Optional short description of the record */
public String getDescription() 
{
return (String)get_Value("Description");
}
/** Set Display Length.
@param DisplayLength Length of the display in characters */
public void setDisplayLength (int DisplayLength)
{
set_Value ("DisplayLength", new Integer(DisplayLength));
}
/** Get Display Length.
@return Length of the display in characters */
public int getDisplayLength() 
{
Integer ii = (Integer)get_Value("DisplayLength");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Display Logic.
@param DisplayLogic If the Field is displayed, the result determines if the field is actually displayed */
public void setDisplayLogic (String DisplayLogic)
{
if (DisplayLogic != null && DisplayLogic.length() > 2000)
{
log.warning("Length > 2000 - truncated");
DisplayLogic = DisplayLogic.substring(0,2000);
}
set_Value ("DisplayLogic", DisplayLogic);
}
/** Get Display Logic.
@return If the Field is displayed, the result determines if the field is actually displayed */
public String getDisplayLogic() 
{
return (String)get_Value("DisplayLogic");
}
/** Set Comment.
@param Help Comment, Help or Hint */
public void setHelp (String Help)
{
if (Help != null && Help.length() > 2000)
{
log.warning("Length > 2000 - truncated");
Help = Help.substring(0,2000);
}
set_Value ("Help", Help);
}
/** Get Comment.
@return Comment, Help or Hint */
public String getHelp() 
{
return (String)get_Value("Help");
}

/** IsDisplayed AD_Reference_ID=319 */
public static final int ISDISPLAYED_AD_Reference_ID=319;
/** No = N */
public static final String ISDISPLAYED_No = "N";
/** Yes = Y */
public static final String ISDISPLAYED_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsDisplayedValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Displayed.
@param IsDisplayed Determines, if this field is displayed */
public void setIsDisplayed (String IsDisplayed)
{
if (!isIsDisplayedValid(IsDisplayed))
throw new IllegalArgumentException ("IsDisplayed Invalid value - " + IsDisplayed + " - Reference_ID=319 - N - Y");
if (IsDisplayed != null && IsDisplayed.length() > 1)
{
log.warning("Length > 1 - truncated");
IsDisplayed = IsDisplayed.substring(0,1);
}
set_Value ("IsDisplayed", IsDisplayed);
}
/** Get Displayed.
@return Determines, if this field is displayed */
public String getIsDisplayed() 
{
return (String)get_Value("IsDisplayed");
}

/** IsMandatoryUI AD_Reference_ID=319 */
public static final int ISMANDATORYUI_AD_Reference_ID=319;
/** No = N */
public static final String ISMANDATORYUI_No = "N";
/** Yes = Y */
public static final String ISMANDATORYUI_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsMandatoryUIValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Mandatory UI.
@param IsMandatoryUI Data entry is required for data entry in the field */
public void setIsMandatoryUI (String IsMandatoryUI)
{
if (!isIsMandatoryUIValid(IsMandatoryUI))
throw new IllegalArgumentException ("IsMandatoryUI Invalid value - " + IsMandatoryUI + " - Reference_ID=319 - N - Y");
if (IsMandatoryUI != null && IsMandatoryUI.length() > 1)
{
log.warning("Length > 1 - truncated");
IsMandatoryUI = IsMandatoryUI.substring(0,1);
}
set_Value ("IsMandatoryUI", IsMandatoryUI);
}
/** Get Mandatory UI.
@return Data entry is required for data entry in the field */
public String getIsMandatoryUI() 
{
return (String)get_Value("IsMandatoryUI");
}

/** IsReadOnly AD_Reference_ID=319 */
public static final int ISREADONLY_AD_Reference_ID=319;
/** No = N */
public static final String ISREADONLY_No = "N";
/** Yes = Y */
public static final String ISREADONLY_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsReadOnlyValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Read Only.
@param IsReadOnly Field is read only */
public void setIsReadOnly (String IsReadOnly)
{
if (!isIsReadOnlyValid(IsReadOnly))
throw new IllegalArgumentException ("IsReadOnly Invalid value - " + IsReadOnly + " - Reference_ID=319 - N - Y");
if (IsReadOnly != null && IsReadOnly.length() > 1)
{
log.warning("Length > 1 - truncated");
IsReadOnly = IsReadOnly.substring(0,1);
}
set_Value ("IsReadOnly", IsReadOnly);
}
/** Get Read Only.
@return Field is read only */
public String getIsReadOnly() 
{
return (String)get_Value("IsReadOnly");
}

/** IsSameLine AD_Reference_ID=319 */
public static final int ISSAMELINE_AD_Reference_ID=319;
/** No = N */
public static final String ISSAMELINE_No = "N";
/** Yes = Y */
public static final String ISSAMELINE_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsSameLineValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Same Line.
@param IsSameLine Displayed on same line as previous field */
public void setIsSameLine (String IsSameLine)
{
if (!isIsSameLineValid(IsSameLine))
throw new IllegalArgumentException ("IsSameLine Invalid value - " + IsSameLine + " - Reference_ID=319 - N - Y");
if (IsSameLine != null && IsSameLine.length() > 1)
{
log.warning("Length > 1 - truncated");
IsSameLine = IsSameLine.substring(0,1);
}
set_Value ("IsSameLine", IsSameLine);
}
/** Get Same Line.
@return Displayed on same line as previous field */
public String getIsSameLine() 
{
return (String)get_Value("IsSameLine");
}

/** IsSelectionColumn AD_Reference_ID=319 */
public static final int ISSELECTIONCOLUMN_AD_Reference_ID=319;
/** No = N */
public static final String ISSELECTIONCOLUMN_No = "N";
/** Yes = Y */
public static final String ISSELECTIONCOLUMN_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsSelectionColumnValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Selection Column.
@param IsSelectionColumn Is this column used for finding rows in windows */
public void setIsSelectionColumn (String IsSelectionColumn)
{
if (!isIsSelectionColumnValid(IsSelectionColumn))
throw new IllegalArgumentException ("IsSelectionColumn Invalid value - " + IsSelectionColumn + " - Reference_ID=319 - N - Y");
if (IsSelectionColumn != null && IsSelectionColumn.length() > 1)
{
log.warning("Length > 1 - truncated");
IsSelectionColumn = IsSelectionColumn.substring(0,1);
}
set_Value ("IsSelectionColumn", IsSelectionColumn);
}
/** Get Selection Column.
@return Is this column used for finding rows in windows */
public String getIsSelectionColumn() 
{
return (String)get_Value("IsSelectionColumn");
}

/** IsSummaryColumn AD_Reference_ID=319 */
public static final int ISSUMMARYCOLUMN_AD_Reference_ID=319;
/** No = N */
public static final String ISSUMMARYCOLUMN_No = "N";
/** Yes = Y */
public static final String ISSUMMARYCOLUMN_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsSummaryColumnValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Summary Column.
@param IsSummaryColumn Summary Info Column */
public void setIsSummaryColumn (String IsSummaryColumn)
{
if (!isIsSummaryColumnValid(IsSummaryColumn))
throw new IllegalArgumentException ("IsSummaryColumn Invalid value - " + IsSummaryColumn + " - Reference_ID=319 - N - Y");
if (IsSummaryColumn != null && IsSummaryColumn.length() > 1)
{
log.warning("Length > 1 - truncated");
IsSummaryColumn = IsSummaryColumn.substring(0,1);
}
set_Value ("IsSummaryColumn", IsSummaryColumn);
}
/** Get Summary Column.
@return Summary Info Column */
public String getIsSummaryColumn() 
{
return (String)get_Value("IsSummaryColumn");
}

/** IsUpdateable AD_Reference_ID=319 */
public static final int ISUPDATEABLE_AD_Reference_ID=319;
/** No = N */
public static final String ISUPDATEABLE_No = "N";
/** Yes = Y */
public static final String ISUPDATEABLE_Yes = "Y";
/** Is test a valid value.
@param test testvalue
@returns true if valid **/
public boolean isIsUpdateableValid (String test)
{
return test == null || test.equals("N") || test.equals("Y");
}
/** Set Updateable.
@param IsUpdateable Determines, if the field can be updated */
public void setIsUpdateable (String IsUpdateable)
{
if (!isIsUpdateableValid(IsUpdateable))
throw new IllegalArgumentException ("IsUpdateable Invalid value - " + IsUpdateable + " - Reference_ID=319 - N - Y");
if (IsUpdateable != null && IsUpdateable.length() > 1)
{
log.warning("Length > 1 - truncated");
IsUpdateable = IsUpdateable.substring(0,1);
}
set_Value ("IsUpdateable", IsUpdateable);
}
/** Get Updateable.
@return Determines, if the field can be updated */
public String getIsUpdateable() 
{
return (String)get_Value("IsUpdateable");
}
/** Set Multi-Row Sequence.
@param MRSeqNo Method of ordering fields in Multi-Row (Grid) View;
 lowest number comes first */
public void setMRSeqNo (int MRSeqNo)
{
set_Value ("MRSeqNo", new Integer(MRSeqNo));
}
/** Get Multi-Row Sequence.
@return Method of ordering fields in Multi-Row (Grid) View;
 lowest number comes first */
public int getMRSeqNo() 
{
Integer ii = (Integer)get_Value("MRSeqNo");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Name.
@param Name Alphanumeric identifier of the entity */
public void setName (String Name)
{
if (Name != null && Name.length() > 60)
{
log.warning("Length > 60 - truncated");
Name = Name.substring(0,60);
}
set_Value ("Name", Name);
}
/** Get Name.
@return Alphanumeric identifier of the entity */
public String getName() 
{
return (String)get_Value("Name");
}
/** Set Selection Sequence.
@param SelectionSeqNo Sequence in Selection */
public void setSelectionSeqNo (int SelectionSeqNo)
{
set_Value ("SelectionSeqNo", new Integer(SelectionSeqNo));
}
/** Get Selection Sequence.
@return Sequence in Selection */
public int getSelectionSeqNo() 
{
Integer ii = (Integer)get_Value("SelectionSeqNo");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Sequence.
@param SeqNo Method of ordering elements;
 lowest number comes first */
public void setSeqNo (int SeqNo)
{
set_Value ("SeqNo", new Integer(SeqNo));
}
/** Get Sequence.
@return Method of ordering elements;
 lowest number comes first */
public int getSeqNo() 
{
Integer ii = (Integer)get_Value("SeqNo");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Record Sort No.
@param SortNo Determines in what order the records are displayed */
public void setSortNo (int SortNo)
{
set_Value ("SortNo", new Integer(SortNo));
}
/** Get Record Sort No.
@return Determines in what order the records are displayed */
public int getSortNo() 
{
Integer ii = (Integer)get_Value("SortNo");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Summary Sequence.
@param SummarySeqNo Sequence in Summary */
public void setSummarySeqNo (int SummarySeqNo)
{
set_Value ("SummarySeqNo", new Integer(SummarySeqNo));
}
/** Get Summary Sequence.
@return Sequence in Summary */
public int getSummarySeqNo() 
{
Integer ii = (Integer)get_Value("SummarySeqNo");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Max. Value.
@param ValueMax Maximum Value for a field */
public void setValueMax (String ValueMax)
{
if (ValueMax != null && ValueMax.length() > 20)
{
log.warning("Length > 20 - truncated");
ValueMax = ValueMax.substring(0,20);
}
set_Value ("ValueMax", ValueMax);
}
/** Get Max. Value.
@return Maximum Value for a field */
public String getValueMax() 
{
return (String)get_Value("ValueMax");
}
/** Set Min. Value.
@param ValueMin Minimum Value for a field */
public void setValueMin (String ValueMin)
{
if (ValueMin != null && ValueMin.length() > 20)
{
log.warning("Length > 20 - truncated");
ValueMin = ValueMin.substring(0,20);
}
set_Value ("ValueMin", ValueMin);
}
/** Get Min. Value.
@return Minimum Value for a field */
public String getValueMin() 
{
return (String)get_Value("ValueMin");
}
}
